/*****************************************************************************/
/*
                                  Config.h

Function prototypes for configuration module.

*/
/*****************************************************************************/

int Configure (struct ConfigStruct*);
boolean ConfigAcceptClientHostName (char*);
ConfigAddType (struct ConfigStruct*, char*);
char* ConfigContentType (struct ContentTypeStruct*, char*);
char* ConfigHomePage (int);
ConfigAddIcon (struct ConfigStruct*, char*);
char* ConfigIconFor (struct IconStruct*, char*);
char* ConfigReadMeFile (int);
ConfigReport (struct RequestStruct*, void*, boolean);
ConfigRevise (struct RequestStruct*, void*, boolean);
ConfigSetAccept (struct ConfigStruct*, char*);
ConfigSetDirReadMe (struct ConfigStruct*, char*);
ConfigSetDirReadMeFile (struct ConfigStruct*, char*);
ConfigSetReject (struct ConfigStruct*, char*);
ConfigSetWelcome (struct ConfigStruct*, char*);

/*****************************************************************************/
