$! SET VERIFY
$ SET NOON
$ SET NOCONTROL=Y
$ NODENAME = F$GETSYI("NODENAME")
$ PORT = 80
$! DEFINE /JOB HTTPD$MAP HTTPD$MAP'PORT'
$! DEFINE /JOB HTTPD$AUTH HTTPD$AUTH'PORT'
$! DEFINE /JOB HTTPD$CONFIG HTTPD$CONFIG'PORT'
$ DEFINE /PROCESS HTTPD$LOG "HT_LOGS:''NODENAME'_''PORT'_ACCESS.LOG"
$ IF F$TRNLNM("HTTPD$USENETLIB")
$    THEN HTTPD = "$HT_EXE:HTTPD_NETLIB"
$    ELSE HTTPD = "$HT_EXE:HTTPD"
$ ENDIF
$ HTTPD_LOOP:
$    WRITE SYS$OUTPUT F$TIME()
$    HTTPD /PRIORITY=6 /PORT='PORT'
$!   (non-error exit, must be a restart, loop immediately)
$    IF $STATUS THEN GOTO HTTPD_LOOP
$!   (error exit, wait, then try to start the server again)
$    WAIT 00:01:00
$    GOTO HTTPD_LOOP
$!END_HTTPD_LOOP:
$ STOP/ID=0
