/*****************************************************************************/
/*
                                   Net.h

Function prototypes for TCP/IP networking module.

*/
/*****************************************************************************/

#ifdef IP_UCX
   NetAccessDenied (unsigned short);
   NetDirectWrite (unsigned short, char*, int);
   NetDummyRead (unsigned short);
   NetDummyReadAst (unsigned short);
   NetRequestCallocFailed (unsigned short);
   NetShutdownSocket (unsigned short);
   NetTooBusy (unsigned short);
#endif

#ifdef IP_NETLIB
   NetAccessDenied (unsigned long*);
   NetDirectWrite (unsigned long*, char*, int);
   NetDummyRead (unsigned long*);
   NetDummyReadAst (unsigned long*);
   NetRequestCallocFailed (unsigned long*);
   NetShutdownSocket (unsigned long*);
   NetTooBusy (unsigned long*);
#endif

int NetBufferOutput (struct RequestStruct*, void*, char*, int);
NetConnectRequestAst ();
NetHostLookup ();
NetListen ();
NetServerShutdown (unsigned short);
NetResponseHeaderAst (struct RequestStruct*);
NetShutdownIncomongSocket (unsigned short);
int NetRead (struct RequestStruct*, void*, char*, int);
int NetWrite (struct RequestStruct*, void*, char*, int);

/*****************************************************************************/

